package com.xmomen.module.base.entity;

import com.xmomen.framework.mybatis.model.BaseMybatisExample;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

// 活动实体类
public class CdActivityExample extends BaseMybatisExample {
    // 排序字段
    protected String orderByClause;

    // 是否去重
    protected boolean distinct;

    // 查询条件
    protected List<Criteria> oredCriteria;

    // 构造函数
    public CdActivityExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    // 设置排序字段
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    // 获取排序字段
    public String getOrderByClause() {
        return orderByClause;
    }

    // 设置是否去重
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    // 获取是否去重
    public boolean isDistinct() {
        return distinct;
    }

    // 获取查询条件
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    // 添加查询条件
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    // 创建查询条件
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    // 创建查询条件
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    // 创建查询条件
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    // 清空查询条件
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    // GeneratedCriteria 类，用于生成查询条件
    protected abstract static class GeneratedCriteria {
        // 查询条件列表
        protected List<Criterion> criteria;

        // 构造函数
        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        // 判断查询条件是否有效
        public boolean isValid() {
            return criteria.size() > 0;
        }

        // 获取所有查询条件
        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        // 获取查询条件
        public List<Criterion> getCriteria() {
            return criteria;
        }

        // 添加查询条件
        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        // 添加查询条件
        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        // 添加查询条件
        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        // 添加查询条件，ID为空
        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        // 添加查询条件，ID不为空
        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        // 添加查询条件，ID等于某个值
        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        // 添加查询条件，ID不等于某个值
        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        // 添加查询条件，ID大于某个值
        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        // 添加查询条件，ID大于等于某个值
        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        // 添加查询条件，ID小于某个值
        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        // 添加查询条件，ID小于等于某个值
        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        // 添加查询条件，ID在某个值列表中
        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        // 添加查询条件，ID不在某个值列表中
        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        // 添加查询条件，ID在某个值范围内
        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        // 添加查询条件，ID不在某个值范围内
        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        // 添加查询条件，活动名称为空
        public Criteria andActivityNameIsNull() {
            addCriterion("ACTIVITY_NAME is null");
            return (Criteria) this;
        }

        // 添加查询条件，活动名称不为空
        public Criteria andActivityNameIsNotNull() {
            addCriterion("ACTIVITY_NAME is not null");
            return (Criteria) this;
        }

        // 添加查询条件，活动名称等于某个值
        public Criteria andActivityNameEqualTo(String value) {
            addCriterion("ACTIVITY_NAME =", value, "activityName");
            return (Criteria) this;
        }

        // 添加查询条件，活动名称不等于某个值
        public Criteria andActivityNameNotEqualTo(String value) {
            addCriterion("ACTIVITY_NAME <>", value, "activityName");
            return (Criteria) this;
        }

        // 添加查询条件，活动名称大于某个值
        public Criteria andActivityNameGreaterThan(String value) {
            addCriterion("ACTIVITY_NAME >", value, "activityName");
            return (Criteria) this;
        }

        // 添加查询条件，活动名称大于等于某个值
        public Criteria andActivityNameGreaterThanOrEqualTo(String value) {
            addCriterion("ACTIVITY_NAME >=", value, "activityName");
            return (Criteria) this;
        }

        // 添加查询条件，活动名称小于某个值
        public Criteria andActivityNameLessThan(String value) {
            addCriterion("ACTIVITY_NAME <", value, "activityName");
            return (Criteria) this;
        }

        // 添加查询条件，活动名称小于等于某个值
        public Criteria andActivityNameLessThanOrEqualTo(String value) {
            addCriterion("ACTIVITY_NAME <=", value, "activityName");
            return (Criteria) this;
        }

        // 添加查询条件，活动名称包含某个值
        public Criteria andActivityNameLike(String value) {
            addCriterion("ACTIVITY_NAME like", value, "activityName");
            return (Criteria) this;
        }

        // 添加查询条件，活动名称不包含某个值
        public Criteria andActivityNameNotLike(String value) {
            addCriterion("ACTIVITY_NAME not like", value, "activityName");
            return (Criteria) this;
        }

        // 添加查询条件，活动名称在某个值列表中
        public Criteria andActivityNameIn(List<String> values) {
            addCriterion("ACTIVITY_NAME in", values, "activityName");
            return (Criteria) this;
        }

        // 添加查询条件，活动名称不在某个值列表中
        public Criteria andActivityNameNotIn(List<String> values) {
            addCriterion("ACTIVITY_NAME not in", values, "activityName");
            return (Criteria) this;
        }

        // 添加查询条件，活动名称在某个值范围内
        public Criteria andActivityNameBetween(String value1, String value2) {
            addCriterion("ACTIVITY_NAME between", value1, value2, "activityName");
            return (Criteria) this;
        }

        // 添加查询条件，活动名称不在某个值范围内
        public Criteria andActivityNameNotBetween(String value1, String value2) {
            addCriterion("ACTIVITY_NAME not between", value1, value2, "activityName");
            return (Criteria) this;
        }

        // 添加查询条件，活动开始时间为空
        public Criteria andActivityBeginTimeIsNull() {
            addCriterion("ACTIVITY_BEGIN_TIME is null");
            return (Criteria) this;
        }

        // 添加查询条件，活动开始时间不为空
        public Criteria andActivityBeginTimeIsNotNull() {
            addCriterion("ACTIVITY_BEGIN_TIME is not null");
            return (Criteria) this;
        }

        // 添加查询条件，活动开始时间等于某个值
        public Criteria andActivityBeginTimeEqualTo(Date value) {
            addCriterion("ACTIVITY_BEGIN_TIME =", value, "activityBeginTime");
            return (Criteria) this;
        }

        // 添加查询条件，活动开始时间不等于某个值
        public Criteria andActivityBeginTimeNotEqualTo(Date value) {
            addCriterion("ACTIVITY_BEGIN_TIME <>", value, "activityBeginTime");
            return (Criteria) this;
        }

        // 添加查询条件，活动开始时间大于某个值
        public Criteria andActivityBeginTimeGreaterThan(Date value) {
            addCriterion("ACTIVITY_BEGIN_TIME >", value, "activityBeginTime");
            return (Criteria) this;
        }

        // 添加查询条件，活动开始时间大于等于某个值
        public Criteria andActivityBeginTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("ACTIVITY_BEGIN_TIME >=", value, "activityBeginTime");
            return (Criteria) this;
        }

        // 添加查询条件，活动开始时间小于某个值
        public Criteria andActivityBeginTimeLessThan(Date value) {
            addCriterion("ACTIVITY_BEGIN_TIME <", value, "activityBeginTime");
            return (Criteria) this;
        }

        // 添加查询条件，活动开始时间小于等于某个值
        public Criteria andActivityBeginTimeLessThanOrEqualTo(Date value) {
            addCriterion("ACTIVITY_BEGIN_TIME <=", value, "activityBeginTime");
            return (Criteria) this;
        }

        // 添加查询条件，活动开始时间在某个值列表中
        public Criteria andActivityBeginTimeIn(List<Date> values) {
            addCriterion("ACTIVITY_BEGIN_TIME in", values, "activityBeginTime");
            return (Criteria) this;
        }

        // 添加查询条件，活动开始时间不在某个值列表中
        public Criteria andActivityBeginTimeNotIn(List<Date> values) {
            addCriterion("ACTIVITY_BEGIN_TIME not in", values, "activityBeginTime");
            return (Criteria) this;
        }

        // 添加查询条件，活动开始时间在某个值范围内
        public Criteria andActivityBeginTimeBetween(Date value1, Date value2) {
            addCriterion("ACTIVITY_BEGIN_TIME between", value1, value2, "activityBeginTime");
            return (Criteria) this;
        }

        // 添加查询条件，活动开始时间不在某个值范围内
        public Criteria andActivityBeginTimeNotBetween(Date value1, Date value2) {
            addCriterion("ACTIVITY_BEGIN_TIME not between", value1, value2, "activityBeginTime");
            return (Criteria) this;
        }

        // 添加查询条件，活动结束时间为空
        public Criteria andActivityEndTimeIsNull() {
            addCriterion("ACTIVITY_END_TIME is null");
            return (Criteria) this;
        }

        // 添加查询条件，活动结束时间不为空
        public Criteria andActivityEndTimeIsNotNull() {
            addCriterion("ACTIVITY_END_TIME is not null");
            return (Criteria) this;
        }

        // 添加查询条件，活动结束时间等于某个值
        public Criteria andActivityEndTimeEqualTo(Date value) {
            addCriterion("ACTIVITY_END_TIME =", value, "activityEndTime");
            return (Criteria) this;
        }

        // 添加查询条件，活动结束时间不等于某个值
        public Criteria andActivityEndTimeNotEqualTo(Date value) {
            addCriterion("ACTIVITY_END_TIME <>", value, "activityEndTime");
            return (Criteria) this;
        }

        // 添加查询条件，活动结束时间大于某个值
        public Criteria andActivityEndTimeGreaterThan(Date value) {
            addCriterion("ACTIVITY_END_TIME >", value, "activityEndTime");
            return (Criteria) this;
        }

        // 添加查询条件，活动结束时间大于等于某个值
        public Criteria andActivityEndTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("ACTIVITY_END_TIME >=", value, "activityEndTime");
            return (Criteria) this;
        }

        // 添加查询条件，活动结束时间小于某个值
        public Criteria andActivityEndTimeLessThan(Date value) {
            addCriterion("ACTIVITY_END_TIME <", value, "activityEndTime");
            return (Criteria) this;
        }

        // 添加查询条件，活动结束时间小于等于某个值
        public Criteria andActivityEndTimeLessThanOrEqualTo(Date value) {
            addCriterion("ACTIVITY_END_TIME <=", value, "activityEndTime");
            return (Criteria) this;
        }

        // 添加查询条件，活动结束时间在某个值列表中
        public Criteria andActivityEndTimeIn(List<Date> values) {
            addCriterion("ACTIVITY_END_TIME in", values, "activityEndTime");
            return (Criteria) this;
        }

        // 添加查询条件，活动结束时间不在某个值列表中
        public Criteria andActivityEndTimeNotIn(List<Date> values) {
            addCriterion("ACTIVITY_END_TIME not in", values, "activityEndTime");
            return (Criteria) this;
        }

        // 添加查询条件，活动结束时间在某个值范围内
        public Criteria andActivityEndTimeBetween(Date value1, Date value2) {
            addCriterion("ACTIVITY_END_TIME between", value1, value2, "activityEndTime");
            return (Criteria) this;
        }

        // 添加查询条件，活动结束时间不在某个值范围内
        public Criteria andActivityEndTimeNotBetween(Date value1, Date value2) {
            addCriterion("ACTIVITY_END_TIME not between", value1, value2, "activityEndTime");
            return (Criteria) this;
        }

        // 添加查询条件，活动描述为空
        public Criteria andActivityDescribeIsNull() {
            addCriterion("ACTIVITY_DESCRIBE is null");
            return (Criteria) this;
        }

        // 添加查询条件，活动描述不为空
        public Criteria andActivityDescribeIsNotNull() {
            addCriterion("ACTIVITY_DESCRIBE is not null");
            return (Criteria) this;
        }

        // 添加查询条件，活动描述等于某个值
        public Criteria andActivityDescribeEqualTo(String value) {
            addCriterion("ACTIVITY_DESCRIBE =", value, "activityDescribe");
            return (Criteria) this;
        }

        // 添加查询条件，活动描述不等于某个值
        public Criteria andActivityDescribeNotEqualTo(String value) {
            addCriterion("ACTIVITY_DESCRIBE <>", value, "activityDescribe");
            return (Criteria) this;
        }

        // 添加查询条件，活动描述大于某个值
        public Criteria andActivityDescribeGreaterThan(String value) {
            addCriterion("ACTIVITY_DESCRIBE >", value, "activityDescribe");
            return (Criteria) this;
        }

        // 添加查询条件，活动描述大于等于某个值
        public Criteria andActivityDescribeGreaterThanOrEqualTo(String value) {
            addCriterion("ACTIVITY_DESCRIBE >=", value, "activityDescribe");
            return (Criteria) this;
        }

        // 添加查询条件，活动描述小于某个值
        public Criteria andActivityDescribeLessThan(String value) {
            addCriterion("ACTIVITY_DESCRIBE <", value, "activityDescribe");
            return (Criteria) this;
        }

        // 添加查询条件，活动描述小于等于某个值
        public Criteria andActivityDescribeLessThanOrEqualTo(String value) {
            addCriterion("ACTIVITY_DESCRIBE <=", value, "activityDescribe");
            return (Criteria) this;
        }

        // 添加查询条件，活动描述包含某个值
        public Criteria andActivityDescribeLike(String value) {
            addCriterion("ACTIVITY_DESCRIBE like", value, "activityDescribe");
            return (Criteria) this;
        }

        // 添加查询条件，活动描述不包含某个值
        public Criteria andActivityDescribeNotLike(String value) {
            addCriterion("ACTIVITY_DESCRIBE not like", value, "activityDescribe");
            return (Criteria) this;
        }

        // 添加查询条件，活动描述在某个值列表中
        public Criteria andActivityDescribeIn(List<String> values) {
            addCriterion("ACTIVITY_DESCRIBE in", values, "activityDescribe");
            return (Criteria) this;
        }

        // 添加查询条件，活动描述不在某个值列表中
        public Criteria andActivityDescribeNotIn(List<String> values) {
            addCriterion("ACTIVITY_DESCRIBE not in", values, "activityDescribe");
            return (Criteria) this;
        }

        // 添加查询条件，活动描述在某个值范围内
        public Criteria andActivityDescribeBetween(String value1, String value2) {
            addCriterion("ACTIVITY_DESCRIBE between", value1, value2, "activityDescribe");
            return (Criteria) this;
        }

        // 添加查询条件，活动描述不在某个值范围内
        public Criteria andActivityDescribeNotBetween(String value1, String value2) {
            addCriterion("ACTIVITY_DESCRIBE not between", value1, value2, "activityDescribe");
            return (Criteria) this;
        }

        // 添加查询条件，活动类型为空
        public Criteria andActivityTypeIsNull() {
            addCriterion("ACTIVITY_TYPE is null");
            return (Criteria) this;
        }

        // 添加查询条件，活动类型不为空
        public Criteria andActivityTypeIsNotNull() {
            addCriterion("ACTIVITY_TYPE is not null");
            return (Criteria) this;
        }

        // 添加查询条件，活动类型等于某个值
        public Criteria andActivityTypeEqualTo(Integer value) {
            addCriterion("ACTIVITY_TYPE =", value, "activityType");
            return (Criteria) this;
        }

        // 添加查询条件，活动类型不等于某个值
        public Criteria andActivityTypeNotEqualTo(Integer value) {
            addCriterion("ACTIVITY_TYPE <>", value, "activityType");
            return (Criteria) this;
        }

        // 添加查询条件，活动类型大于某个值
        public Criteria andActivityTypeGreaterThan(Integer value) {
            addCriterion("ACTIVITY_TYPE >", value, "activityType");
            return (Criteria) this;
        }

        // 添加查询条件，活动类型大于等于某个值
        public Criteria andActivityTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("ACTIVITY_TYPE >=", value, "activityType");
            return (Criteria) this;
        }

        // 添加查询条件，活动类型小于某个值
        public Criteria andActivityTypeLessThan(Integer value) {
            addCriterion("ACTIVITY_TYPE <", value, "activityType");
            return (Criteria) this;
        }

        // 添加查询条件，活动类型小于等于某个值
        public Criteria andActivityTypeLessThanOrEqualTo(Integer value) {
            addCriterion("ACTIVITY_TYPE <=", value, "activityType");
            return (Criteria) this;
        }

        // 添加查询条件，活动类型在某个值列表中
        public Criteria andActivityTypeIn(List<Integer> values) {
            addCriterion("ACTIVITY_TYPE in", values, "activityType");
            return (Criteria) this;
        }

        // 添加查询条件，活动类型不在某个值列表中
        public Criteria andActivityTypeNotIn(List<Integer> values) {
            addCriterion("ACTIVITY_TYPE not in", values, "activityType");
            return (Criteria) this;
        }

        // 添加查询条件，活动类型在某个值范围内
        public Criteria andActivityTypeBetween(Integer value1, Integer value2) {
            addCriterion("ACTIVITY_TYPE between", value1, value2, "activityType");
            return (Criteria) this;
        }

        // 添加查询条件，活动类型不在某个值范围内
        public Criteria andActivityTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("ACTIVITY_TYPE not between", value1, value2, "activityType");
            return (Criteria) this;
        }

        // 添加查询条件，活动可用性为空
        public Criteria andAvailableIsNull() {
            addCriterion("AVAILABLE is null");
            return (Criteria) this;
        }

        // 添加查询条件，活动可用性不为空
        public Criteria andAvailableIsNotNull() {
            addCriterion("AVAILABLE is not null");
            return (Criteria) this;
        }

        // 添加查询条件，活动可用性等于某个值
        public Criteria andAvailableEqualTo(Integer value) {
            addCriterion("AVAILABLE =", value, "available");
            return (Criteria) this;
        }

        // 添加查询条件，活动可用性不等于某个值
        public Criteria andAvailableNotEqualTo(Integer value) {
            addCriterion("AVAILABLE <>", value, "available");
            return (Criteria) this;
        }

        // 添加查询条件，活动可用性大于某个值
        public Criteria andAvailableGreaterThan(Integer value) {
            addCriterion("AVAILABLE >", value, "available");
            return (Criteria) this;
        }

        // 添加查询条件，活动可用性大于等于某个值
        public Criteria andAvailableGreaterThanOrEqualTo(Integer value) {
            addCriterion("AVAILABLE >=", value, "available");
            return (Criteria) this;
        }

        // 添加查询条件，活动可用性小于某个值
        public Criteria andAvailableLessThan(Integer value) {
            addCriterion("AVAILABLE <", value, "available");
            return (Criteria) this;
        }

        // 添加查询条件，活动可用性小于等于某个值
        public Criteria andAvailableLessThanOrEqualTo(Integer value) {
            addCriterion("AVAILABLE <=", value, "available");
            return (Criteria) this;
        }

        // 添加查询条件，活动可用性在某个值列表中
        public Criteria andAvailableIn(List<Integer> values) {
            addCriterion("AVAILABLE in", values, "available");
            return (Criteria) this;
        }

        // 添加查询条件，活动可用性不在某个值列表中
        public Criteria andAvailableNotIn(List<Integer> values) {
            addCriterion("AVAILABLE not in", values, "available");
            return (Criteria) this;
        }

        // 添加查询条件，活动可用性在某个值范围内
        public Criteria andAvailableBetween(Integer value1, Integer value2) {
            addCriterion("AVAILABLE between", value1, value2, "available");
            return (Criteria) this;
        }

        // 添加查询条件，活动可用性不在某个值范围内
        public Criteria andAvailableNotBetween(Integer value1, Integer value2) {
            addCriterion("AVAILABLE not between", value1, value2, "available");
            return (Criteria) this;
        }

        // 添加查询条件，最低价不为空
        public Criteria andLowestPriceIsNull() {
            addCriterion("LOWEST_PRICE is null");
            return (Criteria) this;
        }

        // 添加查询条件，最低价为空
        public Criteria andLowestPriceIsNotNull() {
            addCriterion("LOWEST_PRICE is not null");
            return (Criteria) this;
        }

        // 添加查询条件，最低价等于某个值
        public Criteria andLowestPriceEqualTo(BigDecimal value) {
            addCriterion("LOWEST_PRICE =", value, "lowestPrice");
            return (Criteria) this;
        }

        // 添加查询条件，最低价不等于某个值
        public Criteria andLowestPriceNotEqualTo(BigDecimal value) {
            addCriterion("LOWEST_PRICE <>", value, "lowestPrice");
            return (Criteria) this;
        }

        // 添加查询条件，最低价大于某个值
        public Criteria andLowestPriceGreaterThan(BigDecimal value) {
            addCriterion("LOWEST_PRICE >", value, "lowestPrice");
            return (Criteria) this;
        }

        // 添加查询条件，最低价大于等于某个值
        public Criteria andLowestPriceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("LOWEST_PRICE >=", value, "lowestPrice");
            return (Criteria) this;
        }

        // 添加查询条件，最低价小于某个值
        public Criteria andLowestPriceLessThan(BigDecimal value) {
            addCriterion("LOWEST_PRICE <", value, "lowestPrice");
            return (Criteria) this;
        }

        // 添加查询条件，最低价小于等于某个值
        public Criteria andLowestPriceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("LOWEST_PRICE <=", value, "lowestPrice");
            return (Criteria) this;
        }

        // 添加查询条件，最低价在某个值列表中
        public Criteria andLowestPriceIn(List<BigDecimal> values) {
            addCriterion("LOWEST_PRICE in", values, "lowestPrice");
            return (Criteria) this;
        }

        // 添加查询条件，最低价不在某个值列表中
        public Criteria andLowestPriceNotIn(List<BigDecimal> values) {
            addCriterion("LOWEST_PRICE not in", values, "lowestPrice");
            return (Criteria) this;
        }

        // 添加查询条件，最低价在某个值范围内
        public Criteria andLowestPriceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("LOWEST_PRICE between", value1, value2, "lowestPrice");
            return (Criteria) this;
        }

        // 添加查询条件，最低价不在某个值范围内
        public Criteria andLowestPriceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("LOWEST_PRICE not between", value1, value2, "lowestPrice");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}